**Source URL:** https://general.veevavault.dev/safety/vault-api/api-reference/22.3/documents/update-documents/update-document-version

# Update Document Version

Update editable field values on a specific version of a document. See also [Update Document](/safety/vault-api/api-reference/22.3/documents/update-documents/update-single-document) above.

<Endpoint path="/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}" method="PUT" />

## Headers

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
| `X-VaultAPI-MigrationMode` | When set to `true`, Vault applies Document Migration Mode limitations to document versions updated with the request. You must have the *Document Migration* permission to use this header. Learn more about [Document Migration Mode in Vault Help](https://platform.veevavault.help/en/gr/54028). |
</FieldTable>

## URI Path Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `{doc_id}` | The document `id` field value. |
| `{major_version}` | The document `major_version_number__v` field value. |
| `{minor_version}` | The document `minor_version_number__v` field value. |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "language__v=English" \
-d "product__v=1357662840171" \
-d "audience__c=consumer__c" \
https://myvault.veevavault.com/api/v15.0/objects/documents/534/versions/2/0
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
    "responseStatus": "SUCCESS",
    "id": 534
}
```
</CodeExample>

## Response Details

On SUCCESS, Vault updates field values for the specified version of the document and returns the ID of the updated document.

---

**Previous:** [Reclassify Document](/safety/vault-api/api-reference/22.3/documents/update-documents/reclassify-document)  
**Next:** [Create Multiple Document Versions](/safety/vault-api/api-reference/22.3/documents/update-documents/create-multiple-document-versions)